/*========== GOOGLE FONTS ==========*/



@import url('util/scrollbar.css');
@import url('util/spinner.css');
@import url('util/card-form.css');
@import url('util/table-input.css');
@import url('util/datatable.css');
@import url('util/modal.css');
@import url('util/svg-root.css');
@import url('util/bootstrap.css');
@import url('util/choosen.css');
@import url('util/step-progress.css');
@import url('util/colors.css');
@import url('components/step.component.css');
@import url('components/timeline.component.css');
@import url('components/dropdown.component.css');
@import url('components/sidebar.component.css');
@import url('components/box.component.css');
@import url('components/apex-chart.css');
@import url('components/tabs.component.css');


@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 100;
    font-display: swap;
    src: url('../fonts/Poppins-Thin.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-Thin.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-Thin.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-Thin.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-Thin.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 200;
    font-display: swap;
    src: url('../fonts/Poppins-ExtraLight.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-ExtraLight.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-ExtraLight.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-ExtraLight.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-ExtraLight.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url('../fonts/Poppins-Light.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-Light.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-Light.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-Light.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-Light.ttf') format('svg');
    /* Legacy iOS */
}


@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url('../fonts/Poppins-Regular.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-Regular.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-Regular.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-Regular.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-Regular.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url('../fonts/Poppins-Medium.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-Medium.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-Medium.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-Medium.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-Medium.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url('../fonts/Poppins-SemiBold.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-SemiBold.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-SemiBold.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-SemiBold.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-SemiBold.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 700;
    font-display: swap;
    src: url('../fonts/Poppins-Bold.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-Bold.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-Bold.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-Bold.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-Bold.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 800;
    font-display: swap;
    src: url('../fonts/Poppins-ExtraBold.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-ExtraBold.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-ExtraBold.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-ExtraBold.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-ExtraBold.ttf') format('svg');
    /* Legacy iOS */
}

@font-face {
    font-family: 'Poppins';
    font-style: normal;
    font-weight: 900;
    font-display: swap;
    src: url('../fonts/Poppins-Black.ttf') format('embedded-opentype'),
        /* Internet Explorer */
        url('../fonts/Poppins-Black.ttf') format('woff2'),
        /* Super Modern Browsers */
        url('../fonts/Poppins-Black.ttf') format('woff'),
        /* Pretty Modern Browsers */
        url('../fonts/Poppins-Black.ttf') format('truetype'),
        /* Safari, Android, iOS */
        url('../fonts/Poppins-Black.ttf') format('svg');
    /* Legacy iOS */
}



/* TOAST */
#toast-container .toast-message {
    overflow-y: auto;
    max-height: 20vh;
    /* Without limiting the height the scroll won't work */
}

.disable__select {
    user-select: none;
    /* supported by Chrome and Opera */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
}

.spinner-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1040;
    width: 100vw;
    height: 100vh;
    background-color: #000
}

.spinner-backdrop.fade {
    opacity: 0
}

.spinner-backdrop.show {
    opacity: .5
}

.back__link {
    text-decoration: none;
    font-size: 21px;
    color: #4a627e;
    -webkit-transition: all 200ms ease-in;
    -moz-transition: all 200ms ease-in;
    -ms-transition: all 200ms ease-in;
    -o-transition: all 200ms ease-in;
    transition: all 200ms ease-in;
}

.back__link:hover {
    text-decoration: none;
    font-size: 22px;
}

/*========== VARIABLES CSS ==========*/

:root {
    --header-height: 3.5rem;
    /*========== Colors ==========*/
    --first-color: #6923D0;
    --first-color-light: #F4F0FA;
    --title-color: #19181B;
    --text-color: #58555E;
    --text-color-light: #A5A1AA;
    --body-color: whitesmoke;
    --container-color: aliceblue;
    --active-link: #63a9f3;
    /*========== Font and typography ==========*/
    --body-font: 'Poppins', sans-serif;
    --normal-font-size: .938rem;
    --small-font-size: .75rem;
    --smaller-font-size: .75rem;
    /*========== Font weight ==========*/
    --font-regular: 400;
    --font-medium: 500;
    --font-semi-bold: 600;
    --font-bold: 700;
    /*========== z index ==========*/
    --z-fixed: 1011;
}

@media screen and (min-width: 1024px) {
    :root {
        --normal-font-size: 1rem;
        --small-font-size: .875rem;
        --smaller-font-size: .813rem;
    }
}


/*========== BASE ==========*/

*,
::before,
::after {
    box-sizing: border-box;
    font-variant-numeric: tabular-nums;
}

main {
    min-height: calc(100vh - 136px);
}

body {
    margin: var(--header-height) 0 0 0;
    padding: 2rem 1rem 3rem;
    font-family: var(--body-font), -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    font-size: var(--normal-font-size);
    background-color: var(--body-color);
    color: var(--text-color);
}

h3 {
    margin: 0;
}

a {
    text-decoration: none;
}

img {
    max-width: 100%;
    height: auto;
}


/*========== HEADER ==========*/

.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--body-color);
    box-shadow: 0 1px 0 rgba(22, 8, 43, 0.1);
    padding: 0 1rem;
    z-index: var(--z-fixed);
}

.header__container {
    display: flex;
    align-items: center;
    height: var(--header-height);
    justify-content: space-between;
}

.header__logo {
    color: var(--title-color);
    font-weight: var(--font-medium);
    display: none;
}

.header__icon,
.header__toggle {
    font-size: 1.2rem;
}

.header__toggle {
    color: var(--title-color);
    width: 100%;
    text-align-last: right;
}

.header__img {
    margin-top: 10px;
    width: 35px;
    height: 35px;
    border-radius: 50%;
    border: 1px solid #cecece;
    cursor: pointer;
}


/*===== Active link =====*/

.active {
    /* color: var(--first-color); */
    color: var(--active-link);
}


/* ========== CHOSEN JQUERY STYLE ==========*/

.chosen-container {
    width: 100% !important;
}

.chosen-container-single .chosen-single {
    position: relative;
    display: block;
    overflow: hidden;
    height: calc(1.5em + 0.75rem + 2px);
    padding: .375rem .75rem;
    border: 1px solid #ced4da;
    background-color: none !important;
    color: #444;
    text-decoration: none;
    white-space: nowrap;
    box-shadow: none;
    border-radius: .25rem;
    font-size: 1rem;
    font-weight: var(--font-regular);
    line-height: 1.5;
    transition: border-color .15s ease-in-out, box-shadow .15s ease-in-out;
}

.chosen-container-multi .chosen-choices {
    position: relative;
    overflow: auto;
    margin: 0;
    padding: 0 5px;
    border-radius: .25rem;
    width: 100%;
    max-height: 5rem;
    border: 1px solid #ced4da;
    background-color: #fff;
    cursor: text;
}

.chosen-container-multi .chosen-choices li.search-field input[type="text"] {
    padding: 15px 9px;
    outline: 0;
    border: 0 !important;
    background: transparent !important;
    color: rgb(152 152 152);
    font-size: 1rem;
    line-height: normal;
    border-radius: 0;
    font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
}

.chosen-container-multi .chosen-choices li.search-choice {
    position: relative;
    margin: 3px 5px 3px 0;
    padding: 3px 20px 3px 5px;
    border: 1px solid #aaa;
    max-width: 100%;
    background: #ffffff;
    border-radius: 3px;
    background-size: 100% 19px;
    background-repeat: repeat-x;
    background-clip: padding-box;
    -webkit-box-shadow: 0 0 2px #fff inset, 0 1px 0 rgb(0 0 0 / 5%);
    box-shadow: 0 0 2px #fff inset, 0 1px 0 rgb(0 0 0 / 5%);
    color: #333;
    line-height: 13px;
    cursor: default;
}


/* ========== MEDIA QUERIES ==========*/


/* For small devices reduce search*/

@media screen and (max-width: 320px) {
    .header__search {
        width: 70%;
    }
}

@media screen and (min-width: 768px) {
    body {
        padding: 2em 2rem 3rem 6rem;
    }

    .header {
        padding: 0 3rem 0 6rem;
    }

    .header__container {
        height: calc(var(--header-height) + .5rem);
    }

    .header__search {
        width: 300px;
        padding: .55rem .75rem;
    }

    .header__toggle {
        display: none;
    }

    .header__logo {
        display: block;
    }

    .header__img {
        width: 45px;
        height: 45px;
    }


}

.wrapper-container-btn-acoes {
    display: inline-block;
}

table.dataTable thead th {
    background: transparent !important;
    white-space: nowrap;
}

table.dataTable thead span.sort-icon {
    display: inline-block;
    padding-left: 20px;
    width: 16px;
    height: 16px;
}

table.dataTable thead span.dt-column-order {
    left: 2px !important;
}

table.dataTable thead .sorting span {
    background: url('http://cdn.datatables.net/plug-ins/3cfcc339e89/integration/bootstrap/images/sort_both.png') no-repeat center right;
}

table.dataTable thead .sorting_asc span {
    background: url('http://cdn.datatables.net/plug-ins/3cfcc339e89/integration/bootstrap/images/sort_asc.png') no-repeat center right;
}

table.dataTable thead .sorting_desc span {
    background: url('http://cdn.datatables.net/plug-ins/3cfcc339e89/integration/bootstrap/images/sort_desc.png') no-repeat center right;
}

table.dataTable thead .sorting_asc_disabled span {
    background: url('http://cdn.datatables.net/plug-ins/3cfcc339e89/integration/bootstrap/images/sort_asc_disabled.png') no-repeat center right;
}

table.dataTable thead .sorting_desc_disabled span {
    background: url('http://cdn.datatables.net/plug-ins/3cfcc339e89/integration/bootstrap/images/sort_desc_disabled.png') no-repeat center right;
}

table.dataTable thead .sorting:before,
table.dataTable thead .sorting_asc:before,
table.dataTable thead .sorting_desc:before,
table.dataTable thead .sorting_asc_disabled:before,
table.dataTable thead .sorting_desc_disabled:before,
table.dataTable thead .sorting:after,
table.dataTable thead .sorting_asc:after,
table.dataTable thead .sorting_desc:after,
table.dataTable thead .sorting_asc_disabled:after,
table.dataTable thead .sorting_desc_disabled:after {
    content: '';
}

th,
td {
    vertical-align: middle !important;
}

.btn {
    min-height: 35px;
    min-width: 125px;
    display: inline-block;
    font-weight: var(--font-semi-bold);
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .250rem .75rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    font-size: 0.875rem;
}

.btn-sm {
    min-height: 0px;
    height: auto;
    /* padding: .25rem .5rem; */
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem
}

.btn-custom {
    display: inline-block;
    font-weight: var(--font-semi-bold);
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .250rem .75rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out;
    font-size: 0.875rem;
}

.btn-primary {
    color: #fff;
    background-color: #4596ec;
    border-color: #2f8df1;
}


/* Nao mudar cores em botao desabilitado */

.btn-primary:disabled .btn-primary:hover {
    color: #fff;
    background-color: #007bff;
    border-color: #007bff;
}

.btn-primary:hover {
    color: #4596ec;
    background-color: #ffffff;
}

.btn-primary:disabled {
    color: #fff !important;
    background-color: #007bff !important;
    border-color: #007bff !important;
}

.btn-success {
    color: #fff;
    background-color: #28a745b3;
    border-color: #28a74594;
    font-weight: var(--font-semi-bold);
}


/* Nao mudar cores em botao desabilitado */

.btn-success:disabled {
    color: #fff !important;
    background-color: #28a745b3 !important;
    border-color: #28a74594 !important;
    font-weight: var(--font-semi-bold) !important;
}

.btn-success:hover {
    color: #28a745b3;
    background-color: #ffffff;
}

.btn-danger {
    color: #fff;
    background-color: #d84a57;
    border-color: #da3a49;
}


/* Nao mudar cores em botao desabilitado */

.btn-danger:disabled {
    color: #fff !important;
    background-color: #d84a57 !important;
    border-color: #da3a49 !important;
}

.btn-danger:hover {
    color: #d84a57;
    background-color: #ffffff;
}

.btn-warning {
    color: #ffffff;
    background-color: #ffc107ad;
    border-color: #ffc107bf;
}


/* Nao mudar cores em botao desabilitado */

.btn-warning:disabled {
    color: #ffffff !important;
    background-color: #ffc107ad !important;
    border-color: #ffc107bf !important;
}

.btn-warning:hover {
    color: #ffc107c2;
    background-color: #ffffff;
}

.btn-warning.focus,
.btn-warning:focus {
    color: #ffffff;
    background-color: #e0a800;
    border-color: #d39e00;
    box-shadow: 0 0 0 0.2rem rgb(222 170 12 / 50%);
}

.btn-warning:not(:disabled):not(.disabled).active,
.btn-warning:not(:disabled):not(.disabled):active,
.show>.btn-warning.dropdown-toggle {
    color: #ffffff;
    background-color: #d39e00;
    border-color: #c69500;
}

.dropdown-menu {
    position: absolute;
    top: 100%;
    left: 0;
    z-index: 1000;
    display: none;
    float: left;
    min-width: 10rem;
    padding: 0.2rem 0;
    margin: 0.125rem 0 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 0.25rem;
}

.container-notificacoes {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 0.5rem;
}


/* Datatable possui initcomplete que ao terminar de carregar a table irá mostrar automaticamente */

#myTable {
    display: none;
}

a.btn {
    display: flex;
    width: fit-content;
    align-items: center;
    justify-content: center;
}

.campo-obrigatorio,
.campo-obrigatorio-chosen,
.alert-message {
    display: none;
    margin-left: 0.25rem;
    color: red;
    font-size: 12px;
}

.fw-bold {
    font-weight: var(--font-semi-bold);
}


/* Geral */

.background {
    background-image: url('../img/logo_dva_preto.png');
    background-position: center;
    background-size: 25%;
    background-repeat: no-repeat;
    position: absolute;
    top: 0;
    left: 0;
    min-height: 100%;
    min-width: 100%;
    opacity: 0.1 !important;
}

.nav__notificacoes {
    display: flex;
    gap: 10px;
    white-space: nowrap;
}

/* ===== MEDIA QUERIES =====*/
@media screen and (max-width: 767px) {
    .nav__notificacoes {
        display: flex;
        flex-direction: row-reverse;
    }
}


/* CAIXA ALTA */
.text-uppercase {
    text-transform: uppercase;
}

.cg__search__input {
    margin: -3px 0px 0px 0px;
    background-repeat: no-repeat !important;
    padding-right: calc(1.5em + .75rem) !important;
    background-position: right calc(.375em + .1875rem) center !important;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem) !important;
    background-image: url("data:image/svg+xml;charset=UTF-8,%3csvg xmlns='http://www.w3.org/2000/svg' height='16' width='16' viewBox='0 0 512 512'%3e%3c!--!Font Awesome Free 6.5.1 by %40fontawesome - https://fontawesome.com License - https://fontawesome.com/license/free Copyright 2023 Fonticons, Inc.--%3e%3cpath fill='%236c757d' d='M505 442.7L405.3 343c-4.5-4.5-10.6-7-17-7H372c27.6-35.3 44-79.7 44-128C416 93.1 322.9 0 208 0S0 93.1 0 208s93.1 208 208 208c48.3 0 92.7-16.4 128-44v16.3c0 6.4 2.5 12.5 7 17l99.7 99.7c9.4 9.4 24.6 9.4 33.9 0l28.3-28.3c9.4-9.4 9.4-24.6 .1-34zM208 336c-70.7 0-128-57.2-128-128 0-70.7 57.2-128 128-128 70.7 0 128 57.2 128 128 0 70.7-57.2 128-128 128z'/%3e%3c/svg%3e");
}

.anonymize {
    color: transparent;
    text-shadow: 0 0 5px rgba(0, 0, 0, 0.5);
    background: repeating-linear-gradient(90deg, currentColor, currentColor 2px, transparent 2px, transparent 4px);
    filter: blur(5px);
    user-select: none;
}

.anonymize::before {
    color: #000;
    /* Cor do texto substituto */
}

.pointer{
    cursor: pointer;
}
